﻿using Infragistics.Windows.Controls;
using Infragistics.Windows.Reporting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Automation;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Interop;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ReportingSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            PreviewWindow previewWin = new PreviewWindow();
            previewWin.ShowDialog();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Report report = new Report();

            EmbeddedVisualReportSection section = new EmbeddedVisualReportSection(xdg);
            report.ReportSettings.PageOrientation = PageOrientation.Landscape;
            report.PageHeaderTemplate = this.Resources["headerTemplate"] as DataTemplate;
            report.Sections.Add(section);

        
            report.Print(true, true);
        }
    }
}
