﻿using Infragistics.Windows.Reporting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ReportingSample
{
    /// <summary>
    /// Interaction logic for PreviewWindow.xaml
    /// </summary>
    public partial class PreviewWindow : Window
    {
        public PreviewWindow()
        {
            InitializeComponent();
            
            MainWindow mainWindow = new MainWindow();
            mainWindow.xdg.AutoFit = true;

            Report report = new Report();
            EmbeddedVisualReportSection selection = new EmbeddedVisualReportSection(mainWindow.xdg);
            report.Sections.Add(selection);
            report.ReportSettings.PageOrientation = PageOrientation.Landscape;
            report.PageHeaderTemplate = mainWindow.Resources["headerTemplate"] as DataTemplate;

            this.Owner = Application.Current.MainWindow;
            this.WindowStartupLocation = WindowStartupLocation.CenterOwner;

            reportPreview.GeneratePreview(report, false, true);
        }
    }
}
